Subject: Re: [RFC PATCH] af_packet: don't to defrag shared skb

From: Johannes Berg <[email-masked]>
Date: Fri, 07 Dec 2012 21:42:03 +0100

On Fri, 2012-12-07 at 15:31 -0500, David Miller wrote:
> From: Eric Leblond <[email-masked]>
> Date: Fri,  7 Dec 2012 19:56:01 +0100
> 
> Wireless folks, please take a look.  The issue is that,
> under the circumstances listed below, we get SKBs in
> the AF_PACKET input path that are shared.
> 
> Given the logic present in ieee80211_deliver_skb() I think
> the mac80211 code doesn't expect this either.

Indeed, it would certainly not like this, I'll take a look.

Eric, what's the driver you're using? I'm wondering whether paged skbs
vs. all data in the header would make a difference, hence the question.

johannes